# jQ

Use jQuery on the server side of your node.js apps.

    $ npm install jq

The versions on `npm` will coincide with jQuery releases.

Then use:

```js
var $ = require('jq').jQuery;

var doc = '<html><body><div id="hello">Universe!</div></body></html>',
    hello = $('#hello', doc).html();

console.log('Hello ' + hello); // Hello Universe!
```

See tests for other use cases.

## Using other versions of jQuery

Inspired by other jQuery node implementions, but has a version switch tool.

Clone or add as submodule to your project. Then from within `jq` directory get dev dependancies:

    $ npm install

And then use `build` command to switch to a version of your choice:

    $ ./bin/jq build 1.6.4
    
Will accept any version that is listed as tag at [github.com/jquery/jquery](http://github.com/jquery/jquery).

## Tests

Tests require [expresso](https://github.com/visionmedia/expresso).

    $ expresso

## Another one?

This tool is based on the awesome [coolaj86/node-jquery](https://github.com/coolaj86/node-jquery) but with a 
different build system. Needed a little more control over versioning with some upcoming projects.