var assert = require('assert')
  , jq = require('..')
  , $ = jq.jQuery;

var exports = module.exports = {};

exports['test jquery version'] = function() {
  var version = $().jquery;
  assert.equal(version, '1.7.2');
};

exports['test jquery selector'] = function() {
  var doc = $('body').append('<div id="hello">Universe!</div>');
  var hello = $('#hello', doc).html();
  assert.equal(hello, 'Universe!');
};

exports['test window creation'] = function() {
  var jsdom = require('jsdom').jsdom,
      win0 = jsdom().createWindow(),
      win1 = jq.jQuery.create(),
      win2 = jq.jQuery.create(win0);

  win1('body').append('<div id="win1">Window 1</div>');
  win2('body').append('<div id="win2">Window 2</div>');

  var test1 = win1('#win1').html(),
      test2 = win2('#win2').html();

  assert.equal(test1, 'Window 1');
  assert.equal(test2, 'Window 2');
};